Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 481360 - net-misc/nx-3.5.0.21 with media-libs/jpeg-9-r1 - Jpeg.cpp:443:29: error: invalid conversion from ‘int’ to ‘boolean’ [-fpermissive] In file included from Jpeg.cpp:29:0: /usr/include/jpeglib.h:1032:13: error: initializing argument 2 of ‘int jpeg_read_head
Summary: net-misc/nx-3.5.0.21 with media-libs/jpeg-9-r1 - Jpeg.cpp:443:29: error: inva...
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: NX Server Herd
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: jpeg-9
  Show dependency tree
 
Reported: 2013-08-16 19:49 UTC by Joerg Neikes
Modified: 2014-08-22 08:20 UTC (History)
2 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
nx-3.5.0.20:20130816-180618.log (net-misc:nx-3.5.0.20:20130816-180618.log,570.92 KB, text/x-log)
2013-08-16 19:58 UTC, Joerg Neikes
Details
Build log with latest nx and jpeg-9-r1 (nx-3.5.0.21+jpeg-9-r1-build.log,483.20 KB, text/plain)
2013-09-13 08:24 UTC, Bernard Cafarelli
Details
nx-3.5.0.27-jpeg9a.patch, fixing compilation issues when using media-libs/jpeg-9a (nx-3.5.0.27-jpeg9a.patch,996 bytes, patch)
2014-08-20 12:26 UTC, Gabriel Marcano
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Joerg Neikes 2013-08-16 19:49:57 UTC
emerge --info
Portage 2.2.0 (default/linux/x86/13.0, gcc-4.7.3, glibc-2.17, 3.10.1-gentoo i686)
=================================================================
System uname: Linux-3.10.1-gentoo-i686-Intel-R-_Atom-TM-_CPU_N270_@_1.60GHz-with-gentoo-2.2
KiB Mem:     2053172 total,     90300 free
KiB Swap:    3976080 total,   3936824 free
Timestamp of tree: Fri, 16 Aug 2013 06:30:01 +0000
ld GNU ld (GNU Binutils) 2.23.2
distcc 3.1 i686-pc-linux-gnu [disabled]
ccache version 3.1.9 [enabled]
app-shells/bash:          4.2_p45
dev-java/java-config:     2.2.0
dev-lang/python:          2.5.4-r6, 2.6.8-r2, 2.7.5-r1, 3.2.5-r1, 3.3.2-r1
dev-util/ccache:          3.1.9
dev-util/cmake:           2.8.11.1
dev-util/pkgconfig:       0.28
sys-apps/baselayout:      2.2
sys-apps/openrc:          0.11.8
sys-apps/sandbox:         2.6-r1
sys-devel/autoconf:       2.13, 2.69
sys-devel/automake:       1.5-r1, 1.7.9-r2, 1.8.5-r4, 1.9.6-r3, 1.10.3, 1.11.6, 1.12.6, 1.13.4, 1.14
sys-devel/binutils:       2.23.2
sys-devel/gcc:            4.3.6-r1, 4.4.7, 4.5.3-r2, 4.6.3, 4.7.3
sys-devel/gcc-config:     1.8
sys-devel/libtool:        2.4.2
sys-devel/make:           3.82-r4
sys-kernel/linux-headers: 3.9 (virtual/os-headers)
sys-libs/glibc:           2.17
Repositories: sunrise xpol sabayon bitcoin gentoo
ACCEPT_KEYWORDS="x86 ~x86"
ACCEPT_LICENSE="*"
CBUILD="i686-pc-linux-gnu"
CFLAGS="-march=i686 -mmmx -msse -msse2 -mssse3 -mfpmath=sse -O2 -pipe -U_FORTIFY_SOURCE"
CHOST="i686-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/share/config /usr/share/gnupg/qualified.txt /usr/share/polkit-1/actions /var/bind /var/lib/hsqldb"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/dconf /etc/env.d /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/php/apache2-php5.3/ext-active/ /etc/php/apache2-php5.4/ext-active/ /etc/php/apache2-php5.5/ext-active/ /etc/php/cgi-php5.3/ext-active/ /etc/php/cgi-php5.4/ext-active/ /etc/php/cgi-php5.5/ext-active/ /etc/php/cli-php5.3/ext-active/ /etc/php/cli-php5.4/ext-active/ /etc/php/cli-php5.5/ext-active/ /etc/revdep-rebuild /etc/sandbox.d /etc/terminfo /etc/texmf/language.dat.d /etc/texmf/language.def.d /etc/texmf/updmap.d /etc/texmf/web2c"
CXXFLAGS="-march=i686 -mmmx -msse -msse2 -mssse3 -mfpmath=sse -O2 -pipe -U_FORTIFY_SOURCE"
DISTDIR="/usr/portage/distfiles"
FCFLAGS="-O2 -march=i686 -pipe"
FEATURES="assume-digests binpkg-logs ccache config-protect-if-modified distlocks ebuild-locks fixlafiles merge-sync news parallel-fetch preserve-libs protect-owned sandbox sfperms strict unknown-features-warn unmerge-logs unmerge-orphans userfetch userpriv usersandbox usersync xattr"
FFLAGS="-O2 -march=i686 -pipe"
GENTOO_MIRRORS="http://distfiles.gentoo.org"
LANG="de_DE.UTF-8"
LDFLAGS="-Wl,-O1 -Wl,--as-needed"
MAKEOPTS="-j1"
PKGDIR="/usr/portage/packages"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --omit-dir-times --compress --force --whole-file --delete --stats --human-readable --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY="/var/lib/layman/sunrise /var/lib/layman/xpol-overlay /var/lib/layman/sabayon /var/lib/layman/bitcoin /usr/portage"
USE="X a52 aac acl acpi alsa apache apache2 automount avahi bcmath berkdb bluetooth branding bzip2 bzlib cairo calendar cdda cdparanoia cdr cli consolekit cracklib crypt css ctype cups curl curlwrappers cxx dba dbase dbus dbx device-mapper dio dns dri dvb dvd dvdr emacs encode exif extensions fam ffmpeg flac flatfile fortran ftp fuse gdbm gdu gif gimp gmp gnome gnome-keyring gpm gps graphviz gstreamer gtk hal hddtemp iconv icq icu idn imap ipv6 jack java java6 jpeg jpeg2k lame laptop ldap libkms lirc lxde lzo mad maildir mhash mime mmx mng modules mp3 mp4 mpeg mplayer mssql mudflap myspell mysql nautilus ncurses networkmanager nls nptl nptlonly nsplugin nss oci8-instant-client ogg opengl openmp openssl pam pcre pdf pdflib php pic pipechan png policykit posix postgres pulseaudio qt4 quicktime raw readline rss samba secure-delete semantic-desktop session sharedext simplexml smp snmp soap sockets spell sqlite sqlite3 sse sse2 ssl ssse3 svg systemd sysvipc tcpd theora tidy tiff truetype unicode usb v4l v4l2 vcd vhost wifi win32codecs wma wmf x86 xattr xcomposite xft xinerama xml2 xmlrpc xpm xscreensaver xsl xulrunner xv xvid zlib" ABI_X86="32" ALSA_CARDS="ali5451 als4000 atiixp atiixp-modem bt87x ca0106 cmipci emu10k1 emu10k1x ens1370 ens1371 es1938 es1968 fm801 hda-intel intel8x0 intel8x0m maestro3 trident usb-audio via82xx via82xx-modem ymfpci" APACHE2_MODULES="actions alias auth_basic auth_digest authn_anon authn_dbd authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache cgi cgid dav dav_fs dav_lock dbd deflate dir disk_cache env expires ext_filter file_cache filter headers ident imagemap include info log_config logio mem_cache mime mime_magic negotiation proxy proxy_ajp proxy_balancer proxy_connect proxy_http rewrite setenvif so speling status unique_id userdir usertrack vhost_alias" APACHE2_MPMS="prefork" CALLIGRA_FEATURES="kexi words flow plan sheets stage tables krita karbon braindump author" CAMERAS="ptp2" COLLECTD_PLUGINS="df interface irq load memory rrdtool swap syslog" DVB_CARDS="ttusb-dec ttpci" ELIBC="glibc" GPSD_PROTOCOLS="ashtech aivdm earthmate evermore fv18 garmin garmintxt gpsclock itrax mtk3301 nmea ntrip navcom oceanserver oldstyle oncore rtcm104v2 rtcm104v3 sirf superstar2 timing tsip tripmate tnt ubx" GRUB_PLATFORMS="coreboot pc" INPUT_DEVICES="evdev keyboard mouse synaptics" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LIBREOFFICE_EXTENSIONS="presenter-console presenter-minimizer" LINGUAS="de" OFFICE_IMPLEMENTATION="libreoffice" PHP_TARGETS="php5-3 php5-4" PYTHON_SINGLE_TARGET="python2_7" PYTHON_TARGETS="jython2_5 python2_6 python2_7 python3_3 python3_2" QEMU_SOFTMMU_TARGETS="arm cris i386 m32 m68k microblaze microblazeel mips mips64 mips64el mipsel ppc ppc64 ppcemb s390x sh4 sh4eb sparc sparc64 x86_64 xtensa xtensaeb" QEMU_USER_TARGETS="alpha arm armeb cris i386 m68k microblaze microblazeel mips mipsel ppc ppc64 ppc64abi32 s390x sh4 sh4eb sparc sparc32plus sparc64 unicore32 x86_64" RUBY_TARGETS="ruby19 ruby18 ruby20" USERLAND="GNU" VIDEO_CARDS="intel vesa vgaintel i915 i965" XTABLES_ADDONS="quota2 psd pknock lscan length2 ipv4options ipset ipp2p iface geoip fuzzy condition tee tarpit sysrq steal rawnat logmark ipmark dhcpmac delude chaos account"
USE_PYTHON="2.5 2.6 2.7 3.1 3.2 3.3"
Unset:  CPPFLAGS, CTARGET, EMERGE_DEFAULT_OPTS, INSTALL_MASK, LC_ALL, PORTAGE_BUNZIP2_COMMAND, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS, SYNC


Reproducible: Always

Steps to Reproduce:
1.emerge =net-misc/nx-3.5.0.20
2.fails
3.
Comment 1 Joerg Neikes 2013-08-16 19:52:55 UTC
ict-aliasing    -I../.. -I../../exports/include  -Dlinux -D__i386__ -D_POSIX_C_SOURCE=199309L                  
        -D_POSIX_SOURCE -D_XOPEN_SOURCE                                 -D_BSD_SOURCE -D_SVID_SOURCE             
                    -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64                                  -D_GNU_SOURCE  
                          -DXTHREADS  -D_REENTRANT -DXUSE_MTSAFE_API   -DMALLOC_0_RETURNS_NULL  -DHAS_SNPRINTF -D
LIBX11                 -DPOSTLOCALELIBDIR=\"lib\" -I../../../nxcomp -DNX_TRANS_SOCKET              -DNX_TRANS_EXI
T  -fno-rtti -fno-exceptions -I../nx-X11/exports/include -Wmissing-declarations -fPIC -DIN_ADDR_T=in_addr_t -DVER
SION=\"3.5.0\"  -DPACKAGE_NAME=\"\" -DPACKAGE_TARNAME=\"\" -DPACKAGE_VERSION=\"\" -DPACKAGE_STRING=\"\" -DPACKAGE
_BUGREPORT=\"\" -DPACKAGE_URL=\"\" -Wall -Wpointer-arith -fPIC   Colormap.cpp
i686-pc-linux-gnu-g++ -c -march=i686 -mmmx -msse -msse2 -mssse3 -mfpmath=sse -O2 -pipe -U_FORTIFY_SOURCE -fno-str
ict-aliasing    -I../.. -I../../exports/include  -Dlinux -D__i386__ -D_POSIX_C_SOURCE=199309L                  
        -D_POSIX_SOURCE -D_XOPEN_SOURCE                                 -D_BSD_SOURCE -D_SVID_SOURCE             
                    -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64                                  -D_GNU_SOURCE  
                          -DXTHREADS  -D_REENTRANT -DXUSE_MTSAFE_API   -DMALLOC_0_RETURNS_NULL  -DHAS_SNPRINTF -D
LIBX11                 -DPOSTLOCALELIBDIR=\"lib\" -I../../../nxcomp -DNX_TRANS_SOCKET              -DNX_TRANS_EXI
T  -fno-rtti -fno-exceptions -I../nx-X11/exports/include -Wmissing-declarations -fPIC -DIN_ADDR_T=in_addr_t -DVER
SION=\"3.5.0\"  -DPACKAGE_NAME=\"\" -DPACKAGE_TARNAME=\"\" -DPACKAGE_VERSION=\"\" -DPACKAGE_STRING=\"\" -DPACKAGE
_BUGREPORT=\"\" -DPACKAGE_URL=\"\" -Wall -Wpointer-arith -fPIC   Jpeg.cpp
Jpeg.cpp: In Funktion »int DecompressJpeg16(unsigned char*, int, unsigned int, unsigned int, unsigned char*, int)
«:
Jpeg.cpp:443:29: Fehler: ungültige Umwandlung von »int« in »boolean« [-fpermissive]
In file included from Jpeg.cpp:29:0:
/usr/include/jpeglib.h:1032:12: Fehler:   Argument 2 von »int jpeg_read_header(j_decompress_ptr, boolean)« wird i
nitialisiert [-fpermissive]
Jpeg.cpp: In Funktion »int DecompressJpeg24(unsigned char*, int, unsigned int, unsigned int, unsigned char*, int)«:
Jpeg.cpp:584:29: Fehler: ungültige Umwandlung von »int« in »boolean« [-fpermissive]
In file included from Jpeg.cpp:29:0:
/usr/include/jpeglib.h:1032:12: Fehler:   Argument 2 von »int jpeg_read_header(j_decompress_ptr, boolean)« wird initialisiert [-fpermissive]
Jpeg.cpp: In Funktion »int DecompressJpeg32(unsigned char*, int, unsigned int, unsigned int, unsigned char*, int)«:
Jpeg.cpp:721:29: Fehler: ungültige Umwandlung von »int« in »boolean« [-fpermissive]
In file included from Jpeg.cpp:29:0:
/usr/include/jpeglib.h:1032:12: Fehler:   Argument 2 von »int jpeg_read_header(j_decompress_ptr, boolean)« wird initialisiert [-fpermissive]
Jpeg.cpp: In Funktion »boolean JpegFillInputBuffer(j_decompress_ptr)«:
Jpeg.cpp:836:10: Fehler: ungültige Umwandlung von »int« in »boolean« [-fpermissive]
make[4]: *** [Jpeg.o] Fehler 1
make[4]: Leaving directory `/var/tmp/portage/net-misc/nx-3.5.0.20/work/nx-libs-3.5.0.20/nxcomp'
make[3]: *** [../../../nxcomp/libXcomp.so] Fehler 2
make[3]: Leaving directory `/var/tmp/portage/net-misc/nx-3.5.0.20/work/nx-libs-3.5.0.20/nx-X11/lib/X11'
make[2]: *** [depend] Fehler 2
make[2]: Leaving directory `/var/tmp/portage/net-misc/nx-3.5.0.20/work/nx-libs-3.5.0.20/nx-X11/lib'
make[1]: *** [depend] Fehler 2
make[1]: Leaving directory `/var/tmp/portage/net-misc/nx-3.5.0.20/work/nx-libs-3.5.0.20/nx-X11'
make: *** [World] Fehler 2
 * ERROR: net-misc/nx-3.5.0.20::gentoo failed (compile phase):
make: *** [World] Fehler 2
 * ERROR: net-misc/nx-3.5.0.20::gentoo failed (compile phase):
 *   emake failed
 * 
 * If you need support, post the output of `emerge --info '=net-misc/nx-3.5.0.20::gentoo'`,
 * the complete build log and the output of `emerge -pqv '=net-misc/nx-3.5.0.20::gentoo'`.
 * The complete build log is located at '/var/log/portage/net-misc:nx-3.5.0.20:20130816-180618.log'.
 * For convenience, a symlink to the build log is located at '/var/tmp/portage/net-misc/nx-3.5.0.20/temp/build.log'.
 * The ebuild environment file is located at '/var/tmp/portage/net-misc/nx-3.5.0.20/temp/environment'.
 * Working directory: '/var/tmp/portage/net-misc/nx-3.5.0.20/work/nx-libs-3.5.0.20/nx-X11'
 * S: '/var/tmp/portage/net-misc/nx-3.5.0.20/work/nx-libs-3.5.0.20'
Comment 2 Joerg Neikes 2013-08-16 19:58:52 UTC
Created attachment 356244 [details]
nx-3.5.0.20:20130816-180618.log
Comment 3 Joerg Neikes 2013-08-16 19:59:36 UTC
emerge --info
Portage 2.2.0 (default/linux/x86/13.0, gcc-4.7.3, glibc-2.17, 3.10.1-gentoo i686)
=================================================================
System uname: Linux-3.10.1-gentoo-i686-Intel-R-_Atom-TM-_CPU_N270_@_1.60GHz-with-gentoo-2.2
KiB Mem:     2053172 total,     90300 free
KiB Swap:    3976080 total,   3936824 free
Timestamp of tree: Fri, 16 Aug 2013 06:30:01 +0000
ld GNU ld (GNU Binutils) 2.23.2
distcc 3.1 i686-pc-linux-gnu [disabled]
ccache version 3.1.9 [enabled]
app-shells/bash:          4.2_p45
dev-java/java-config:     2.2.0
dev-lang/python:          2.5.4-r6, 2.6.8-r2, 2.7.5-r1, 3.2.5-r1, 3.3.2-r1
dev-util/ccache:          3.1.9
dev-util/cmake:           2.8.11.1
dev-util/pkgconfig:       0.28
sys-apps/baselayout:      2.2
sys-apps/openrc:          0.11.8
sys-apps/sandbox:         2.6-r1
sys-devel/autoconf:       2.13, 2.69
sys-devel/automake:       1.5-r1, 1.7.9-r2, 1.8.5-r4, 1.9.6-r3, 1.10.3, 1.11.6, 1.12.6, 1.13.4, 1.14
sys-devel/binutils:       2.23.2
sys-devel/gcc:            4.3.6-r1, 4.4.7, 4.5.3-r2, 4.6.3, 4.7.3
sys-devel/gcc-config:     1.8
sys-devel/libtool:        2.4.2
sys-devel/make:           3.82-r4
sys-kernel/linux-headers: 3.9 (virtual/os-headers)
sys-libs/glibc:           2.17
Repositories: sunrise xpol sabayon bitcoin gentoo
ACCEPT_KEYWORDS="x86 ~x86"
ACCEPT_LICENSE="*"
CBUILD="i686-pc-linux-gnu"
CFLAGS="-march=i686 -mmmx -msse -msse2 -mssse3 -mfpmath=sse -O2 -pipe -U_FORTIFY_SOURCE"
CHOST="i686-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/share/config /usr/share/gnupg/qualified.txt /usr/share/polkit-1/actions /var/bind /var/lib/hsqldb"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/dconf /etc/env.d /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/php/apache2-php5.3/ext-active/ /etc/php/apache2-php5.4/ext-active/ /etc/php/apache2-php5.5/ext-active/ /etc/php/cgi-php5.3/ext-active/ /etc/php/cgi-php5.4/ext-active/ /etc/php/cgi-php5.5/ext-active/ /etc/php/cli-php5.3/ext-active/ /etc/php/cli-php5.4/ext-active/ /etc/php/cli-php5.5/ext-active/ /etc/revdep-rebuild /etc/sandbox.d /etc/terminfo /etc/texmf/language.dat.d /etc/texmf/language.def.d /etc/texmf/updmap.d /etc/texmf/web2c"
CXXFLAGS="-march=i686 -mmmx -msse -msse2 -mssse3 -mfpmath=sse -O2 -pipe -U_FORTIFY_SOURCE"
DISTDIR="/usr/portage/distfiles"
FCFLAGS="-O2 -march=i686 -pipe"
FEATURES="assume-digests binpkg-logs ccache config-protect-if-modified distlocks ebuild-locks fixlafiles merge-sync news parallel-fetch preserve-libs protect-owned sandbox sfperms strict unknown-features-warn unmerge-logs unmerge-orphans userfetch userpriv usersandbox usersync xattr"
FFLAGS="-O2 -march=i686 -pipe"
GENTOO_MIRRORS="http://distfiles.gentoo.org"
LANG="de_DE.UTF-8"
LDFLAGS="-Wl,-O1 -Wl,--as-needed"
MAKEOPTS="-j1"
PKGDIR="/usr/portage/packages"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --omit-dir-times --compress --force --whole-file --delete --stats --human-readable --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY="/var/lib/layman/sunrise /var/lib/layman/xpol-overlay /var/lib/layman/sabayon /var/lib/layman/bitcoin /usr/portage"
USE="X a52 aac acl acpi alsa apache apache2 automount avahi bcmath berkdb bluetooth branding bzip2 bzlib cairo calendar cdda cdparanoia cdr cli consolekit cracklib crypt css ctype cups curl curlwrappers cxx dba dbase dbus dbx device-mapper dio dns dri dvb dvd dvdr emacs encode exif extensions fam ffmpeg flac flatfile fortran ftp fuse gdbm gdu gif gimp gmp gnome gnome-keyring gpm gps graphviz gstreamer gtk hal hddtemp iconv icq icu idn imap ipv6 jack java java6 jpeg jpeg2k lame laptop ldap libkms lirc lxde lzo mad maildir mhash mime mmx mng modules mp3 mp4 mpeg mplayer mssql mudflap myspell mysql nautilus ncurses networkmanager nls nptl nptlonly nsplugin nss oci8-instant-client ogg opengl openmp openssl pam pcre pdf pdflib php pic pipechan png policykit posix postgres pulseaudio qt4 quicktime raw readline rss samba secure-delete semantic-desktop session sharedext simplexml smp snmp soap sockets spell sqlite sqlite3 sse sse2 ssl ssse3 svg systemd sysvipc tcpd theora tidy tiff truetype unicode usb v4l v4l2 vcd vhost wifi win32codecs wma wmf x86 xattr xcomposite xft xinerama xml2 xmlrpc xpm xscreensaver xsl xulrunner xv xvid zlib" ABI_X86="32" ALSA_CARDS="ali5451 als4000 atiixp atiixp-modem bt87x ca0106 cmipci emu10k1 emu10k1x ens1370 ens1371 es1938 es1968 fm801 hda-intel intel8x0 intel8x0m maestro3 trident usb-audio via82xx via82xx-modem ymfpci" APACHE2_MODULES="actions alias auth_basic auth_digest authn_anon authn_dbd authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache cgi cgid dav dav_fs dav_lock dbd deflate dir disk_cache env expires ext_filter file_cache filter headers ident imagemap include info log_config logio mem_cache mime mime_magic negotiation proxy proxy_ajp proxy_balancer proxy_connect proxy_http rewrite setenvif so speling status unique_id userdir usertrack vhost_alias" APACHE2_MPMS="prefork" CALLIGRA_FEATURES="kexi words flow plan sheets stage tables krita karbon braindump author" CAMERAS="ptp2" COLLECTD_PLUGINS="df interface irq load memory rrdtool swap syslog" DVB_CARDS="ttusb-dec ttpci" ELIBC="glibc" GPSD_PROTOCOLS="ashtech aivdm earthmate evermore fv18 garmin garmintxt gpsclock itrax mtk3301 nmea ntrip navcom oceanserver oldstyle oncore rtcm104v2 rtcm104v3 sirf superstar2 timing tsip tripmate tnt ubx" GRUB_PLATFORMS="coreboot pc" INPUT_DEVICES="evdev keyboard mouse synaptics" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LIBREOFFICE_EXTENSIONS="presenter-console presenter-minimizer" LINGUAS="de" OFFICE_IMPLEMENTATION="libreoffice" PHP_TARGETS="php5-3 php5-4" PYTHON_SINGLE_TARGET="python2_7" PYTHON_TARGETS="jython2_5 python2_6 python2_7 python3_3 python3_2" QEMU_SOFTMMU_TARGETS="arm cris i386 m32 m68k microblaze microblazeel mips mips64 mips64el mipsel ppc ppc64 ppcemb s390x sh4 sh4eb sparc sparc64 x86_64 xtensa xtensaeb" QEMU_USER_TARGETS="alpha arm armeb cris i386 m68k microblaze microblazeel mips mipsel ppc ppc64 ppc64abi32 s390x sh4 sh4eb sparc sparc32plus sparc64 unicore32 x86_64" RUBY_TARGETS="ruby19 ruby18 ruby20" USERLAND="GNU" VIDEO_CARDS="intel vesa vgaintel i915 i965" XTABLES_ADDONS="quota2 psd pknock lscan length2 ipv4options ipset ipp2p iface geoip fuzzy condition tee tarpit sysrq steal rawnat logmark ipmark dhcpmac delude chaos account"
USE_PYTHON="2.5 2.6 2.7 3.1 3.2 3.3"
Unset:  CPPFLAGS, CTARGET, EMERGE_DEFAULT_OPTS, INSTALL_MASK, LC_ALL, PORTAGE_BUNZIP2_COMMAND, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS, SYNC
Comment 4 Joerg Neikes 2013-09-13 07:38:23 UTC
Version of net-misc/nx-3.5.0.21 compiles with media-libs/libjpeg-turbo-1.3.0-r2.

Changed due too much breakes with other programms not able to use libjpeg 9.
Comment 5 Bernard Cafarelli gentoo-dev 2013-09-13 08:24:15 UTC
This looks like #479808, though it still does not work with jpeg-9-r1, though compilation goes fine with libjpeg-turbo
CC-ing graphics for opinion here
Comment 6 Bernard Cafarelli gentoo-dev 2013-09-13 08:24:57 UTC
Created attachment 358570 [details]
Build log with latest nx and jpeg-9-r1
Comment 7 Gabriel Marcano 2014-08-20 12:26:12 UTC
Created attachment 383196 [details, diff]
nx-3.5.0.27-jpeg9a.patch, fixing compilation issues when using media-libs/jpeg-9a

The attached patch fixes the problem, I believe. It also compiles against media-libs/libjpeg-turbo-1.3.1.

By the way, who is upstream for this package, officially? eix reports nomachine, but they no longer support the 3 branch for the nx core packages. A bit of digging seems to point to x2go. I reported the problem to x2go yesterday, and they accepted the patch.
Comment 8 Samuli Suominen gentoo-dev 2014-08-21 11:02:20 UTC
(In reply to Gabriel Marcano from comment #7)
> Created attachment 383196 [details, diff] [details, diff]
> nx-3.5.0.27-jpeg9a.patch, fixing compilation issues when using
> media-libs/jpeg-9a
> 
> The attached patch fixes the problem, I believe. It also compiles against
> media-libs/libjpeg-turbo-1.3.1.
> 
> By the way, who is upstream for this package, officially? eix reports
> nomachine, but they no longer support the 3 branch for the nx core packages.
> A bit of digging seems to point to x2go. I reported the problem to x2go
> yesterday, and they accepted the patch.

far as I'm aware, x2go is what people should be migrating to, and the old nx-3 is deadware now -- seen other distributions, like ArchLinux, do the switch in a way they actually dropped the old nx
Comment 9 Samuli Suominen gentoo-dev 2014-08-21 11:07:44 UTC
patch is in portage, applied to latest net-misc/nx:

+  21 Aug 2014; Samuli Suominen <ssuominen@gentoo.org>
+  +files/nx-3.5.0.27-jpeg-9a.patch, nx-3.5.0.27.ebuild:
+  Fix building with media-libs/jpeg >= 9a wrt #481360 by Gabriel Marcano
+
Comment 10 Bernard Cafarelli gentoo-dev 2014-08-22 08:20:02 UTC
Indeed x2go is our upstream for this package too, since 3.5.0.14. Thanks for sending the patch there too!

I cleaned the homepage lines of current ebuilds (I kept both original nx and x2go URLs for some time, but now x2go is where things happen)